module type OrderedType = Stdlib.Set.OrderedType

module type S = sig
  include Stdlib.Set.S
  val exists_opt: (elt -> 'a option) -> t -> 'a option
end

module Make(Elt: OrderedType): S
  with type elt = Elt.t
   and type t   = Stdlib.Set.Make(Elt).t
